Brivio API reference
Saft

List SAF-T D406 imports, newest first (scope: imports:read)

GET
/saft/imports

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer
perPage?integer

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/saft/imports"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "awaiting_upload",      "filename": "string",      "byte_size": 0,      "sha256": "string",      "has_file": true,      "storage_expires_at": "2019-08-24T14:15:22Z",      "preview": {        "header": {          "taxRegistrationNumber": "string",          "companyName": "string",          "startDate": "string",          "endDate": "string",          "currency": "string"        },        "counts": {          "accounts": 0,          "parties": 0,          "invoices": 0,          "products": 0,          "physical_stock": 0,          "journal_entries": 0,          "payments": 0,          "assets": 0        },        "trial_balance": {          "rows": [            {              "account_code": "string",              "debit": 0,              "credit": 0            }          ],          "total_debit": 0,          "total_credit": 0,          "balanced": true        },        "control_total_mismatches": [          "string"        ],        "warnings": [          "string"        ],        "unknown_accounts": [          "string"        ],        "has_stock_section": true      },      "result": {},      "imported_count": 0,      "updated_count": 0,      "skipped_count": 0,      "error_count": 0,      "errors": [        {          "row": 0,          "field": "string",          "message": "string"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}